Upgrading from 10.5 to 10.6

I will be upgrading my MAC from 10.5 to 10.6 snow leopard soon. Will the 10.5 version of DJAY that I have now be compatible with snow leopard?

Hi Boe,

Yes, both djay 3 and djay 4 work on Snow Leopard.